Bug 2668 - Remove dependency on the worthless aalib
: Remove dependency on the worthless aalib
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/libSDL)
: unstable
: all Linux
: P5 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-06-16 23:52 by
Modified: 2003-08-25 15:18 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-06-16 23:52:45
libSDL собирается со включенной поддержкой aalib.
Хотя это и круто в узко ограниченном смысле,
aalib ничего не даёт содержательно, зато добавляет кучу маленьких гадких
библиотечек в зависимости, в т.ч. зависимости разработки.
Зачем libSDL зависеть от libslang и libtinfo?
---

---
------- Comment #1 From 2003-06-17 21:48:52 -------
> Зачем libSDL зависеть от libslang и libtinfo?

А что, у нас частно не бывает libtinfo? :)
------- Comment #2 From 2003-06-17 21:48:52 -------
> Зачем libSDL зависеть от libslang и libtinfo?

А что, у нас частно не бывает libtinfo? :)
------- Comment #3 From 2003-06-18 00:16:07 -------
К libslang точно незачем привязывать.
Кто-нибудь может предложить практическую пользу использования ASCII art для видеовывода SDL?
------- Comment #4 From 2003-06-18 00:16:07 -------
К libslang точно незачем привязывать.
Кто-нибудь может предложить практическую пользу использования ASCII art для видеовывода SDL?
------- Comment #5 From 2003-08-22 11:40:06 -------
fixed (1.2.5-alt2)
------- Comment #6 From 2003-08-22 11:40:06 -------
fixed (1.2.5-alt2)